def lunar_sum(a: int, b: int) -> int:
    if b > a:
        a, b = b, a
    a = str(a)
    b = str(b).zfill(len(a))
    c: str = ""
    for i in range(1, len(a) + 1):
        c = max(a[-i], b[-i]) + c
    return int(c)

def lunar_mul(a: int, b: int) -> int:
    if a > b:
        a, b = b, a
    a = str(a)
    b = str(b)
    sums: list[int] = []
    for i in range(1, len(b) + 1):
        c: str = ''
        for j in range(1, len(a) + 1):
            c = min(b[-i], a[-j]) + c
        sums.append(int(c) * 10 ** (i - 1))
    while len(sums) != 1:
        sums.insert(0, lunar_sum(sums.pop(0), sums.pop(0)))
    return sums[0]

a, b = map(int, input().split())
print(lunar_sum(a, b), lunar_mul(a, b))