import networkx as nx

n, m, k = map(int, input().split())

G = nx.Graph()
G.add_nodes_from(range(1, n + 1))
for _ in range(m):
    a, b = map(int, input().split())
    G.add_edge(a, b)

ans = set()
for _ in range(k):
    a, b = map(int, input().split())
    ans.update(nx.ego_graph(G, a, b).nodes)
print(len(ans))
print(*sorted(ans))